Build:
  1. 0
2022-05-26 04:12.59: New job: docker build {
                                             "commit":
                                               "c1e92e6398301d284014188618cafddfe5afd319",
                                             "dockerfile": {
                                               "file": "Dockerfile"
                                             },
                                             "docker_context": null,
                                             "squash": false,
                                             "build_args": [
                                               "--build-arg", "TARGET=xen",
                                               "--build-arg",
                                               "EXTRA_FLAGS=--tls=true"
                                             ]
                                           }
2022-05-26 04:12.59: Checking out commit c1e92e63. To reproduce:
                       git clone --recursive "https://github.com/mirage/mirage-www.git" -b "master" && cd "mirage-www" && git reset --hard c1e92e63
2022-05-26 04:12.59: Exec: "cp" "-a" "--" "/var/lib/ocurrent/var/git/mirage-www.git-c1609aad5612d6b73e1c5be1a480108ce3363f2b7727366290103fad03b019f2/.git" 
                           "/tmp/git-checkout35db37dc"
2022-05-26 04:12.59: Exec: "git" "-C" "/tmp/git-checkout35db37dc" "reset" 
                           "--hard" "-q" "c1e92e6398301d284014188618cafddfe5afd319"
2022-05-26 04:12.59: Exec: "git" "-C" "/tmp/git-checkout35db37dc" "submodule" 
                           "update" "--init" "--recursive"
2022-05-26 04:12.59: Exec: "docker" "build" "--pull" "--build-arg" "TARGET=xen" 
                           "--build-arg" "EXTRA_FLAGS=--tls=true" "-f" 
                           "/tmp/git-checkout35db37dc/Dockerfile" "--iidfile" 
                           "/tmp/git-checkout35db37dc/docker-iid" "--" 
                           "/tmp/git-checkout35db37dc"
Sending build context to Docker daemon  28.97MB

Step 1/18 : FROM ocaml/opam:debian-11-ocaml-4.13
debian-11-ocaml-4.13: Pulling from ocaml/opam
67e8aa6c8bbc: Already exists
ec32f5237199: Pulling fs layer
8ab2fcfe16b2: Pulling fs layer
ec32f5237199: Verifying Checksum
ec32f5237199: Download complete
8ab2fcfe16b2: Verifying Checksum
8ab2fcfe16b2: Download complete
ec32f5237199: Pull complete
8ab2fcfe16b2: Pull complete
Digest: sha256:6908920ff39e03ac098b70d672333deace6069dadd66d77ed6cb8c4c88ed5faa
Status: Image is up to date for ocaml/opam:debian-11-ocaml-4.13
 ---> 4aa3adffe097
Step 2/18 : RUN mkdir -p /home/opam/www/mirage
 ---> Running in 59db5f44bece
Removing intermediate container 59db5f44bece
 ---> 4a49bad477eb
Step 3/18 : WORKDIR /home/opam/www
 ---> Running in 9f61eb9d140f
Removing intermediate container 9f61eb9d140f
 ---> cd4fd7be656e
Step 4/18 : RUN sudo ln -f /usr/bin/opam-2.1 /usr/bin/opam && cd ~/opam-repository && git pull origin master && git reset --hard 1bcdfde9fb967edf419a456704134f0256641ad6 && opam update
 ---> Running in 66b93569840a
hint: Pulling without specifying how to reconcile divergent branches is
hint: discouraged. You can squelch this message by running one of the following
hint: commands sometime before your next pull:
hint: 
hint:   git config pull.rebase false  # merge (the default strategy)
hint:   git config pull.rebase true   # rebase
hint:   git config pull.ff only       # fast-forward only
hint: 
hint: You can replace "git config" with "git config --global" to set a default
hint: preference for all repositories. You can also pass --rebase, --no-rebase,
hint: or --ff-only on the command line to override the configured default per
hint: invocation.
From https://github.com/ocaml/opam-repository
 * branch                  master     -> FETCH_HEAD
   881d9e9999..9a5d627459  master     -> origin/master
Updating 881d9e9999..9a5d627459
Fast-forward
 packages/dune-release/dune-release.1.6.2/opam |  62 +++++++++
 packages/heptagon/heptagon.1.05.00/opam       |  32 ++---
 packages/liquidsoap/liquidsoap.2.0.5/opam     | 187 ++++++++++++++++++++++++++
 packages/preface/preface.1.0.0/opam           |  47 +++++++
 packages/travesty/travesty.0.7.2/opam         |  46 +++++++
 5 files changed, 358 insertions(+), 16 deletions(-)
 create mode 100644 packages/dune-release/dune-release.1.6.2/opam
 create mode 100644 packages/liquidsoap/liquidsoap.2.0.5/opam
 create mode 100644 packages/preface/preface.1.0.0/opam
 create mode 100644 packages/travesty/travesty.0.7.2/opam
HEAD is now at 1bcdfde9fb Merge pull request #21033 from mirage/release-ocaml-solo5-v0.8.0
Continue? [Y/n] y
This development version of opam requires an update to the layout of /home/opam/.opam from version 2.0 to version 2.1, which can't be reverted.
You may want to back it up before going further.

Format upgrade done.

<><> Updating package repositories ><><><><><><><><><><><><><><><><><><><><><><>
[default] synchronised from file:///home/opam/opam-repository
Now run 'opam upgrade' to apply any package updates.
Removing intermediate container 66b93569840a
 ---> 1780c5c579d1
Step 5/18 : RUN opam pin git+https://github.com/tmattio/opam-tailwindcss#fb0f82edd09999f7be033ab1785ba5f6b60ed8f6
 ---> Running in 0a85f3c41999
Package tailwindcss does not exist, create as a NEW package? [Y/n] y
tailwindcss is now pinned to git+https://github.com/tmattio/opam-tailwindcss#fb0f82edd09999f7be033ab1785ba5f6b60ed8f6 (version ~dev)

The following actions will be performed:
  - install tailwindcss ~dev*

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> retrieved tailwindcss.~dev  (no changes)
-> installed tailwindcss.~dev
Done.
# Run eval $(opam env) to update the current shell environment
Removing intermediate container 0a85f3c41999
 ---> c38d70ab0ff5
Step 6/18 : RUN opam pin add git+https://github.com/mirage/mirage#8ab03cff7c811828d3e2e4473cbc0e55204652ec --with-version 4.0.0
 ---> Running in 9104e1ae1664
This will pin the following packages: functoria-runtime, functoria, mirage-runtime, mirage. Continue? [Y/n] y
functoria-runtime is now pinned to git+https://github.com/mirage/mirage#8ab03cff7c811828d3e2e4473cbc0e55204652ec (version 4.0.0)
functoria is now pinned to git+https://github.com/mirage/mirage#8ab03cff7c811828d3e2e4473cbc0e55204652ec (version 4.0.0)
mirage-runtime is now pinned to git+https://github.com/mirage/mirage#8ab03cff7c811828d3e2e4473cbc0e55204652ec (version 4.0.0)
mirage is now pinned to git+https://github.com/mirage/mirage#8ab03cff7c811828d3e2e4473cbc0e55204652ec (version 4.0.0)

The following actions will be performed:
  - install seq                base   [required by lwt]
  - install dune               3.0.3  [required by mirage, functoria, functoria-runtime, mirage-runtime]
  - install ocamlbuild         0.14.1 [required by astring, bos]
  - install cmdliner           1.1.1  [required by functoria, functoria-runtime]
  - install conf-pkg-config    2      [required by opam-monorepo]
  - install ocamlfind          1.9.3  [required by astring, bos]
  - install stdlib-shims       0.3.0  [required by ipaddr]
  - install result             1.5    [required by functoria]
  - install pecu               0.6    [required by emile]
  - install ocaml-syntax-shims 1.0.0  [required by angstrom]
  - install macaddr            5.3.0  [required by ipaddr]
  - install domain-name        0.4.0  [required by ipaddr]
  - install csexp              1.5.1  [required by dune-configurator]
  - install cppo               1.6.8  [required by lwt]
  - install bigarray-compat    1.1.0  [required by bigstringaf]
  - install base64             3.5.0  [required by emile]
  - install opam-monorepo      0.2.7  [required by mirage]
  - install topkg              1.0.5  [required by astring, bos]
  - install base-bytes         base   [required by stringext]
  - install ipaddr             5.3.0  [required by mirage, mirage-runtime]
  - install dune-configurator  3.0.3  [required by lwt]
  - install mmap               1.2.0  [required by lwt]
  - install bigstringaf        0.8.0  [required by emile]
  - install uutf               1.0.3  [required by emile]
  - install rresult            0.7.0  [required by functoria]
  - install fmt                0.9.0  [required by functoria-runtime, functoria, mirage-runtime]
  - install astring            0.8.5  [required by functoria, mirage]
  - install stringext          1.6.0  [required by uri]
  - install ocplib-endian      1.2    [required by lwt]
  - install angstrom           0.15.0 [required by emile, uri]
  - install functoria-runtime  4.0.0*
  - install fpath              0.7.3  [required by functoria]
  - install lwt                5.5.0  [required by mirage-runtime]
  - install uri                4.2.0  [required by functoria]
  - install emile              1.1    [required by functoria]
  - install logs               0.7.0  [required by mirage, functoria, mirage-runtime]
  - install mirage-runtime     4.0.0*
  - install bos                0.2.1  [required by functoria, mirage]
  - install functoria          4.0.0*
  - install mirage             4.0.0*
===== 40 to install =====

The following system packages will first need to be installed:
    pkg-config

<><> Handling external dependencies <><><><><><><><><><><><><><><><><><><><><><>
Let opam run your package manager to install the required system packages?
(answer 'n' for other options) [Y/n] y
+ /usr/bin/sudo "apt-get" "install" "-qq" "-yy" "pkg-config"
- debconf: delaying package configuration, since apt-utils is not installed
- Selecting previously unselected package libglib2.0-0:amd64.
- (Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 18283 files and directories currently installed.)
- Preparing to unpack .../0-libglib2.0-0_2.66.8-1_amd64.deb ...
- Unpacking libglib2.0-0:amd64 (2.66.8-1) ...
- Selecting previously unselected package libglib2.0-data.
- Preparing to unpack .../1-libglib2.0-data_2.66.8-1_all.deb ...
- Unpacking libglib2.0-data (2.66.8-1) ...
- Selecting previously unselected package libicu67:amd64.
- Preparing to unpack .../2-libicu67_67.1-7_amd64.deb ...
- Unpacking libicu67:amd64 (67.1-7) ...
- Selecting previously unselected package libxml2:amd64.
- Preparing to unpack .../3-libxml2_2.9.10+dfsg-6.7+deb11u2_amd64.deb ...
- Unpacking libxml2:amd64 (2.9.10+dfsg-6.7+deb11u2) ...
- Selecting previously unselected package pkg-config.
- Preparing to unpack .../4-pkg-config_0.29.2-1_amd64.deb ...
- Unpacking pkg-config (0.29.2-1) ...
- Selecting previously unselected package shared-mime-info.
- Preparing to unpack .../5-shared-mime-info_2.0-1_amd64.deb ...
- Unpacking shared-mime-info (2.0-1) ...
- Selecting previously unselected package xdg-user-dirs.
- Preparing to unpack .../6-xdg-user-dirs_0.17-2_amd64.deb ...
- Unpacking xdg-user-dirs (0.17-2) ...
- Setting up libicu67:amd64 (67.1-7) ...
- Setting up xdg-user-dirs (0.17-2) ...
- Setting up libglib2.0-0:amd64 (2.66.8-1) ...
- No schema files found: doing nothing.
- Setting up libglib2.0-data (2.66.8-1) ...
- Setting up pkg-config (0.29.2-1) ...
- Setting up libxml2:amd64 (2.9.10+dfsg-6.7+deb11u2) ...
- Setting up shared-mime-info (2.0-1) ...
- Processing triggers for libc-bin (2.31-13+deb11u3) ...

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> retrieved astring.0.8.5  (https://erratique.ch/software/astring/releases/astring-0.8.5.tbz)
-> retrieved angstrom.0.15.0  (https://github.com/inhabitedtype/angstrom/archive/0.15.0.tar.gz)
-> retrieved bigarray-compat.1.1.0  (https://github.com/mirage/bigarray-compat/releases/download/v1.1.0/bigarray-compat-1.1.0.tbz)
-> retrieved base64.3.5.0  (https://github.com/mirage/ocaml-base64/releases/download/v3.5.0/base64-v3.5.0.tbz)
-> retrieved bos.0.2.1  (https://erratique.ch/software/bos/releases/bos-0.2.1.tbz)
-> retrieved bigstringaf.0.8.0  (https://github.com/inhabitedtype/bigstringaf/archive/0.8.0.tar.gz)
-> retrieved cmdliner.1.1.1  (https://erratique.ch/software/cmdliner/releases/cmdliner-1.1.1.tbz)
-> retrieved cppo.1.6.8  (https://github.com/ocaml-community/cppo/archive/v1.6.8.tar.gz)
-> installed conf-pkg-config.2
-> retrieved csexp.1.5.1  (https://github.com/ocaml-dune/csexp/releases/download/1.5.1/csexp-1.5.1.tbz)
-> retrieved domain-name.0.4.0  (https://github.com/hannesm/domain-name/releases/download/v0.4.0/domain-name-0.4.0.tbz)
-> retrieved dune.3.0.3  (https://github.com/ocaml/dune/releases/download/3.0.3/fiber-3.0.3.tbz)
-> retrieved dune-configurator.3.0.3  (https://github.com/ocaml/dune/releases/download/3.0.3/fiber-3.0.3.tbz)
-> retrieved emile.1.1  (https://github.com/dinosaure/emile/releases/download/v1.1/emile-v1.1.tbz)
-> retrieved fmt.0.9.0  (https://erratique.ch/software/fmt/releases/fmt-0.9.0.tbz)
-> retrieved functoria.4.0.0  (no changes)
-> retrieved functoria-runtime.4.0.0  (no changes)
-> retrieved fpath.0.7.3  (https://erratique.ch/software/fpath/releases/fpath-0.7.3.tbz)
-> retrieved logs.0.7.0  (https://erratique.ch/software/logs/releases/logs-0.7.0.tbz)
-> retrieved macaddr.5.3.0  (https://github.com/mirage/ocaml-ipaddr/releases/download/v5.3.0/ipaddr-5.3.0.tbz)
-> retrieved ipaddr.5.3.0  (https://github.com/mirage/ocaml-ipaddr/releases/download/v5.3.0/ipaddr-5.3.0.tbz)
-> retrieved mirage.4.0.0  (no changes)
-> retrieved mirage-runtime.4.0.0  (no changes)
-> retrieved lwt.5.5.0  (https://github.com/ocsigen/lwt/archive/refs/tags/5.5.0.tar.gz)
-> installed cmdliner.1.1.1
-> retrieved ocamlbuild.0.14.1  (https://github.com/ocaml/ocamlbuild/archive/refs/tags/0.14.1.tar.gz)
-> retrieved mmap.1.2.0  (https://github.com/mirage/mmap/releases/download/v1.2.0/mmap-1.2.0.tbz)
-> retrieved ocaml-syntax-shims.1.0.0  (https://github.com/ocaml-ppx/ocaml-syntax-shims/releases/download/1.0.0/ocaml-syntax-shims-1.0.0.tbz)
-> retrieved ocamlfind.1.9.3  (http://download.camlcity.org/download/findlib-1.9.3.tar.gz)
-> retrieved ocplib-endian.1.2  (https://github.com/OCamlPro/ocplib-endian/archive/refs/tags/1.2.tar.gz)
-> retrieved pecu.0.6  (https://github.com/mirage/pecu/releases/download/v0.6/pecu-v0.6.tbz)
-> retrieved rresult.0.7.0  (https://erratique.ch/software/rresult/releases/rresult-0.7.0.tbz)
-> installed seq.base
-> retrieved result.1.5  (https://github.com/janestreet/result/releases/download/1.5/result-1.5.tbz)
-> retrieved stdlib-shims.0.3.0  (https://github.com/ocaml/stdlib-shims/releases/download/0.3.0/stdlib-shims-0.3.0.tbz)
-> retrieved stringext.1.6.0  (https://github.com/rgrinberg/stringext/releases/download/1.6.0/stringext-1.6.0.tbz)
-> retrieved topkg.1.0.5  (https://erratique.ch/software/topkg/releases/topkg-1.0.5.tbz)
-> retrieved uutf.1.0.3  (https://erratique.ch/software/uutf/releases/uutf-1.0.3.tbz)
-> retrieved uri.4.2.0  (https://github.com/mirage/ocaml-uri/releases/download/v4.2.0/uri-v4.2.0.tbz)
-> retrieved opam-monorepo.0.2.7  (https://github.com/ocamllabs/opam-monorepo/releases/download/0.2.7/opam-monorepo-0.2.7.tbz)
-> installed ocamlfind.1.9.3
-> installed base-bytes.base
-> installed ocamlbuild.0.14.1
-> installed topkg.1.0.5
-> installed dune.3.0.3
-> installed rresult.0.7.0
-> installed bigarray-compat.1.1.0
-> installed csexp.1.5.1
-> installed base64.3.5.0
-> installed domain-name.0.4.0
-> installed macaddr.5.3.0
-> installed pecu.0.6
-> installed result.1.5
-> installed stdlib-shims.0.3.0
-> installed stringext.1.6.0
-> installed bigstringaf.0.8.0
-> installed mmap.1.2.0
-> installed ocaml-syntax-shims.1.0.0
-> installed uutf.1.0.3
-> installed fmt.0.9.0
-> installed cppo.1.6.8
-> installed ipaddr.5.3.0
-> installed angstrom.0.15.0
-> installed functoria-runtime.4.0.0
-> installed astring.0.8.5
-> installed ocplib-endian.1.2
-> installed emile.1.1
-> installed dune-configurator.3.0.3
-> installed fpath.0.7.3
-> installed uri.4.2.0
-> installed lwt.5.5.0
-> installed logs.0.7.0
-> installed mirage-runtime.4.0.0
-> installed bos.0.2.1
-> installed functoria.4.0.0
-> installed opam-monorepo.0.2.7
-> installed mirage.4.0.0
Done.
# Run eval $(opam env) to update the current shell environment
Removing intermediate container 9104e1ae1664
 ---> fce424914797
Step 7/18 : RUN opam repo add mirage-dev git+https://github.com/mirage/mirage-dev.git#842c55556ffd0950d21141d6ab99e52a8d88a50f
 ---> Running in 7237b74018eb
[mirage-dev] Initialised
[NOTE] Repository mirage-dev has been added to the selections of switch 4.13 only.
       Run `opam repository add mirage-dev --all-switches|--set-default' to use it in all existing switches, or in newly created switches, respectively.

Removing intermediate container 7237b74018eb
 ---> e17fdddb3620
Step 8/18 : RUN opam install mirage
 ---> Running in d225de35795d

<><> Synchronising pinned packages ><><><><><><><><><><><><><><><><><><><><><><>
[mirage.4.0.0] synchronised (no changes)

[NOTE] Package mirage is already installed (current version is 4.0.0).
Removing intermediate container d225de35795d
 ---> ebbc60d29c1e
Step 9/18 : COPY --chown=opam:root mirage/config.ml /home/opam/www/mirage/
 ---> 88a783fa133c
Step 10/18 : COPY --chown=opam:root mirageio.opam /home/opam/www/
 ---> 4fe72b095f7c
Step 11/18 : ARG TARGET=unix
 ---> Running in bd5cc8c4a6b4
Removing intermediate container bd5cc8c4a6b4
 ---> c218b034cb6c
Step 12/18 : ARG EXTRA_FLAGS=
 ---> Running in 541ab18b5813
Removing intermediate container 541ab18b5813
 ---> a2f6b8ed3897
Step 13/18 : RUN opam exec -- mirage configure -f mirage/config.ml -t $TARGET $EXTRA_FLAGS
 ---> Running in 825dba1b7848
Removing intermediate container 825dba1b7848
 ---> bc9c9320588d
Step 14/18 : RUN opam exec -- make depend
 ---> Running in 8a1b7c14329d
-e using overlay repository mirage: [opam-overlays, mirage-overlays] 
[opam-overlays] Initialised
[NOTE] Repository opam-overlays has been added to the selections of switch 4.13 only.
       Run `opam repository add opam-overlays --all-switches|--set-default' to use it in all existing switches, or in newly created switches, respectively.

[mirage-overlays] Initialised
[NOTE] Repository mirage-overlays has been added to the selections of switch 4.13 only.
       Run `opam repository add mirage-overlays --all-switches|--set-default' to use it in all existing switches, or in newly created switches, respectively.

 ↳ generate lockfile for monorepo dependencies
==> Using 1 locally scanned package as the target.
==> Found 156 opam dependencies for the target package.
==> Querying opam database for their metadata and Dune compatibility.
==> Calculating exact pins for each of them.
==> Wrote lockfile with 108 entries to mirage/mirage/www-xen-monorepo.opam.locked. You can now run opam monorepo pull to fetch their sources.
-e removing overlay repository [opam-overlays, mirage-overlays]
Repositories removed from the selections of switch 4.13. Use '--all' to forget about them altogether.
Repositories removed from the selections of switch 4.13. Use '--all' to forget about them altogether.
 ↳ opam install switch dependencies
The following actions will be performed:
  - install conf-libseccomp 1
  - install ocaml-src       4.13.1
  - install conf-which      1
  - install solo5           0.7.1
  - install ocaml-solo5     0.8.0
===== 5 to install =====

The following system packages will first need to be installed:
    libseccomp-dev

<><> Handling external dependencies <><><><><><><><><><><><><><><><><><><><><><>
Let opam run your package manager to install the required system packages?
(answer 'n' for other options) [Y/n] y
+ /usr/bin/sudo "apt-get" "install" "-qq" "-yy" "libseccomp-dev"
- debconf: delaying package configuration, since apt-utils is not installed
- Selecting previously unselected package libseccomp-dev:amd64.
- (Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 18686 files and directories currently installed.)
- Preparing to unpack .../libseccomp-dev_2.5.1-1+deb11u1_amd64.deb ...
- Unpacking libseccomp-dev:amd64 (2.5.1-1+deb11u1) ...
- Setting up libseccomp-dev:amd64 (2.5.1-1+deb11u1) ...

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> installed conf-which.1
-> installed conf-libseccomp.1
-> retrieved ocaml-src.4.13.1  (cached)
-> retrieved ocaml-solo5.0.8.0  (https://github.com/mirage/ocaml-solo5/releases/download/v0.8.0/ocaml-solo5-0.8.0.tbz)
-> retrieved solo5.0.7.1  (https://github.com/Solo5/solo5/releases/download/v0.7.1/solo5-v0.7.1.tar.gz)
-> installed ocaml-src.4.13.1
-> installed solo5.0.7.1
-> installed ocaml-solo5.0.8.0
Done.
 ↳ install external dependencies for monorepo
==> Using lockfile mirage/mirage/www-xen-monorepo.opam.locked
+ /usr/bin/sudo "apt-get" "install" "-qq" "-yy" "libev-dev" "libgmp-dev" "libssl-dev" "m4"
- debconf: delaying package configuration, since apt-utils is not installed
- Selecting previously unselected package libev4:amd64.
- (Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 18728 files and directories currently installed.)
- Preparing to unpack .../0-libev4_1%3a4.33-1_amd64.deb ...
- Unpacking libev4:amd64 (1:4.33-1) ...
- Selecting previously unselected package libev-dev:amd64.
- Preparing to unpack .../1-libev-dev_1%3a4.33-1_amd64.deb ...
- Unpacking libev-dev:amd64 (1:4.33-1) ...
- Selecting previously unselected package libgmpxx4ldbl:amd64.
- Preparing to unpack .../2-libgmpxx4ldbl_2%3a6.2.1+dfsg-1+deb11u1_amd64.deb ...
- Unpacking libgmpxx4ldbl:amd64 (2:6.2.1+dfsg-1+deb11u1) ...
- Selecting previously unselected package libgmp-dev:amd64.
- Preparing to unpack .../3-libgmp-dev_2%3a6.2.1+dfsg-1+deb11u1_amd64.deb ...
- Unpacking libgmp-dev:amd64 (2:6.2.1+dfsg-1+deb11u1) ...
- Selecting previously unselected package libsigsegv2:amd64.
- Preparing to unpack .../4-libsigsegv2_2.13-1_amd64.deb ...
- Unpacking libsigsegv2:amd64 (2.13-1) ...
- Selecting previously unselected package libssl-dev:amd64.
- Preparing to unpack .../5-libssl-dev_1.1.1n-0+deb11u2_amd64.deb ...
- Unpacking libssl-dev:amd64 (1.1.1n-0+deb11u2) ...
- Selecting previously unselected package m4.
- Preparing to unpack .../6-m4_1.4.18-5_amd64.deb ...
- Unpacking m4 (1.4.18-5) ...
- Setting up libev4:amd64 (1:4.33-1) ...
- Setting up libgmpxx4ldbl:amd64 (2:6.2.1+dfsg-1+deb11u1) ...
- Setting up libsigsegv2:amd64 (2.13-1) ...
- Setting up libssl-dev:amd64 (1.1.1n-0+deb11u2) ...
- Setting up libev-dev:amd64 (1:4.33-1) ...
- Setting up libgmp-dev:amd64 (2:6.2.1+dfsg-1+deb11u1) ...
- Setting up m4 (1.4.18-5) ...
- Processing triggers for libc-bin (2.31-13+deb11u3) ...
 ↳ fetch monorepo rependencies in the duniverse folder
==> Using lockfile mirage/mirage/www-xen-monorepo.opam.locked
Successfully pulled 108/108 repositories
Removing intermediate container 8a1b7c14329d
 ---> 0ec814bfc26d
Step 15/18 : COPY --chown=opam:root . /home/opam/www
 ---> 14901884e4d7
Step 16/18 : RUN opam exec -- mirage configure -f mirage/config.ml -t $TARGET $EXTRA_FLAGS
 ---> Running in 6f2aa8b148d9
Removing intermediate container 6f2aa8b148d9
 ---> 13d116f36b43
Step 17/18 : RUN opam exec -- dune build mirage/ --profile release
 ---> Running in 11c91a58f433
File "mirage/duniverse/ocaml-graphql-server/dune-project", line 2, characters 14-17:
2 | (using menhir 2.0)
                  ^^^
Warning: Version 2.0 of the menhir extension is not supported until version
1.4 of the dune language.
Supported versions of this extension in version 1.1 of the dune language:
- 1.0
ocamlfind -toolchain solo5 ocamlopt -cclib "-I ./include/"   -c -o bmap.o bmap.c
ocamlfind -toolchain solo5 ocamlopt -cclib "-I ./include/"   -c -o clock_stubs.o clock_stubs.c
ocamlfind -toolchain solo5 ocamlopt -cclib "-I ./include/"   -c -o evtchn.o evtchn.c
ocamlfind -toolchain solo5 ocamlopt -cclib "-I ./include/"   -c -o gnttab.o gnttab.c
ocamlfind -toolchain solo5 ocamlopt -cclib "-I ./include/"   -c -o main.o main.c
ar r libmirage-xen_bindings.a bmap.o clock_stubs.o evtchn.o gnttab.o main.o
ar: creating libmirage-xen_bindings.a

Done in 1269ms.
emitter.c: In function 'yaml_emitter_write_plain_scalar':
emitter.c:28:6: warning: value computed is not used [-Wunused-value]
   28 |      && ((emitter->line_break == YAML_CR_BREAK ?                                \
      |      ^~
emitter.c:56:11: note: in expansion of macro 'PUT_BREAK'
   56 |          (PUT_BREAK(emitter),                                                   \
      |           ^~~~~~~~~
emitter.c:1962:18: note: in expansion of macro 'WRITE_BREAK'
 1962 |             if (!WRITE_BREAK(emitter, string)) return 0;
      |                  ^~~~~~~~~~~
emitter.c: In function 'yaml_emitter_write_single_quoted_scalar':
emitter.c:28:6: warning: value computed is not used [-Wunused-value]
   28 |      && ((emitter->line_break == YAML_CR_BREAK ?                                \
      |      ^~
emitter.c:56:11: note: in expansion of macro 'PUT_BREAK'
   56 |          (PUT_BREAK(emitter),                                                   \
      |           ^~~~~~~~~
emitter.c:2019:18: note: in expansion of macro 'WRITE_BREAK'
 2019 |             if (!WRITE_BREAK(emitter, string)) return 0;
      |                  ^~~~~~~~~~~
emitter.c: In function 'yaml_emitter_write_literal_scalar':
emitter.c:28:6: warning: value computed is not used [-Wunused-value]
   28 |      && ((emitter->line_break == YAML_CR_BREAK ?                                \
      |      ^~
emitter.c:56:11: note: in expansion of macro 'PUT_BREAK'
   56 |          (PUT_BREAK(emitter),                                                   \
      |           ^~~~~~~~~
emitter.c:2285:18: note: in expansion of macro 'WRITE_BREAK'
 2285 |             if (!WRITE_BREAK(emitter, string)) return 0;
      |                  ^~~~~~~~~~~
emitter.c: In function 'yaml_emitter_write_folded_scalar':
emitter.c:28:6: warning: value computed is not used [-Wunused-value]
   28 |      && ((emitter->line_break == YAML_CR_BREAK ?                                \
      |      ^~
emitter.c:56:11: note: in expansion of macro 'PUT_BREAK'
   56 |          (PUT_BREAK(emitter),                                                   \
      |           ^~~~~~~~~
emitter.c:2334:18: note: in expansion of macro 'WRITE_BREAK'
 2334 |             if (!WRITE_BREAK(emitter, string)) return 0;
      |                  ^~~~~~~~~~~
yaml_stubs.c: In function 'yaml_stub_1_yaml_get_version_string':
yaml_stubs.c:11:15: warning: initialization discards 'const' qualifier from pointer target type [-Wdiscarded-qualifiers]
   11 |    char* x2 = yaml_get_version_string();
      |               ^~~~~~~~~~~~~~~~~~~~~~~
configure: WARNING: using cross tools not prefixed with host triplet
configure: WARNING: cannot check for properly working vsnprintf when cross compiling, will assume it's ok
binary ocaml: found in /home/opam/.opam/4.13/bin
binary ocamlc: found in /home/opam/.opam/4.13/bin
binary ocamldep: found in /home/opam/.opam/4.13/bin
binary ocamlmklib: found in /home/opam/.opam/4.13/bin
binary ocamldoc: found in /home/opam/.opam/4.13/bin
binary x86_64-solo5-none-static-cc: found in /home/opam/.opam/4.13/bin
binary ocamlopt: found in /home/opam/.opam/4.13/bin
checking compilation with x86_64-solo5-none-static-cc -I/home/opam/.opam/4.13/solo5-sysroot/include/nolibc/ -include _solo5/overrides.h -O2 -fno-strict-aliasing -fwrapv -I/home/opam/www/_build/solo5/mirage/duniverse/Zarith/../../../../install/solo5/lib/gmp/: working
include caml/mlvalues.h: found
library dynlink.cmxa: found
binary ocamlfind: found in /home/opam/.opam/4.13/bin
OCaml's word size is 64
binary uname: found in /bin
include gmp.h: found
library gmp: found
OCaml supports -bin-annot to produce documentation

detected configuration:

  native-code:          yes
  dynamic linking:      yes
  defines:              -DHAS_GMP 
  libraries:            -L/home/opam/www/_build/solo5/mirage/duniverse/Zarith/../../../../install/solo5/lib/gmp/ -lgmp
  C options:            -I/home/opam/www/_build/solo5/mirage/duniverse/Zarith/../../../../install/solo5/lib/gmp/
  installation path:    /home/opam/.opam/4.13/lib
  installation method   findlib

configuration successful!
now type "make" to build
then type "make install" or "sudo make install" to install
Removing intermediate container 11c91a58f433
 ---> c9544825469a
Step 18/18 : RUN if [ $TARGET = hvt ]; then sudo cp mirage/dist/www.$TARGET /unikernel.$TARGET; fi
 ---> Running in a0efc29fee25
Removing intermediate container a0efc29fee25
 ---> e84847b87f01
Successfully built e84847b87f01
2022-05-26 04:29.05: Job succeeded